using System;
using System.Collections.Generic;
using System.Windows.Forms;
using StarEngine.Core;
using StarEngine.Ruby;
using StarEngine.Sdl;

namespace StarEngine.Tests
{
    class Program
    {
        public static void Main()
        {
            using (GameEnvironment env = GameEnvironment.Create(WindowType.DoubleSizeWindow))
            using (RubyInterpreter interpreter = RubyInterpreter.Create(env))
            {
                interpreter.AddLoadPath("./Scripts");
                interpreter.Evaluate("require 'main'");
            }
        }
    }
}
